const prefix = '/api/admin'

export default {
  image: {
    uploadForAnt: {
      url: `${prefix}/antd/image`,
      method: 'POST',
    },
    upload: {
      url: `${prefix}/image`,
      method: 'POST',
    },
  },
  user: {
    current: {
      method: 'GET',
      url: `${prefix}/taUser/current`,
    },
    signin: {
      method: 'POST',
      url: `${prefix}/taUser/signin`,
      login: true
    },
    signout: {
      method: 'POST',
      url: `${prefix}/taUser/signout`,
      logout: true
    },
  },
  building: {
    getList: {
      method: 'GET',
      url: `${prefix}/buildinglist`,
      action: 'admin.buildinglist.get',
    },
    updateStatus: {
      method: 'PUT',
      url: `${prefix}/building/update/status`,
      action: 'admin.building.update.status.put',
    },
    addBuilding: {
      method: 'POST',
      url: `${prefix}/building/add`,
      action: 'admin.building.add.post',
    },
    updateBuilding: {
      method: 'PUT',
      url: `${prefix}/building/update`,
      action: 'admin.building.update.put',
    },
    buildingGetById: {
      method: 'GET',
      url: `${prefix}/buildingSelectId/id`,
      action: 'admin.buildingSelectId.id.get',
    },
    deleteBuilding: {
      method: 'DELETE',
      url: `${prefix}/building/delete/id`,
      action: 'admin.building.delete.id.delete',
    },
    buildingApartment: {
      method: 'GET',
      url: `${prefix}/buildingApartment/buildingId/id`,
      action: 'admin.buildingApartment.buildingId.id.get',
    },
    buildingApartmentGetById: {
      method: 'GET',
      url: `${prefix}/buildingApartment/id`,
      action: 'admin.buildingApartment.id.get',
    },
    buildingApartmentUpdate: {
      method: 'PUT',
      url: `${prefix}/buildingApartment/update`,
      action: 'admin.buildingApartment.update.put',
    },
    buildingApartmentAdd: {
      method: 'POST',
      url: `${prefix}/buildingApartment/add`,
      action: 'admin.buildingApartment.add.post',
    },
    buildingApartmentDelete: {
      method: 'DELETE',
      url: `${prefix}/apartment/deleted/id`,
      action: 'admin.apartment.deleted.id.delete',
    },
  },
  buildingType: {
    getList: {
      method: 'GET',
      url: `${prefix}/tdBuildingType`,
      action: 'admin.tdBuildingType.get',
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/tdBuildingType/id`,
      action: 'admin.tdBuildingType.id.delete',
    },
    update: {
      method: 'PUT',
      url: `${prefix}/tdBuildingType/id`,
      action: 'admin.tdBuildingType.id.put',
    },
    add: {
      method: 'POST',
      url: `${prefix}/tdBuildingType`,
      action: 'admin.tdBuildingType.post',
    },
    getById: {
      method: 'GET',
      url: `${prefix}/tdBuildingType/id`,
      action: 'admin.tdBuildingType.id.get',
    },
  },
  news: {
    getList: {
      method: 'GET',
      url: `${prefix}/taNews`,
    },
  },
  customer: {
    drift: {
      method: 'GET',
      url: `${prefix}/customer/recommend/drift`,
      action: 'admin.customer.recommend.drift.get',
    },
    report: {
      method: 'GET',
      url: `${prefix}/customer/recommend/report`,
      action: 'admin.customer.recommend.report.get',
    },
    recommender: {
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender`,
      action: 'admin.customer.recommend.recommender.get',
    },
    auto: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/verify/id`,
      action: 'admin.customer.recommend.verify.id.put',
    },
    recommendGetById: {
      method: 'GET',
      url: `${prefix}/customer/recommend/getById/id`,
      action: 'admin.customer.recommend.getById.id.get',
    },
    agents: {
      method: 'GET',
      url: `${prefix}/customer/agents`,
      action: 'admin.customer.agents.get',
    },
    customerRecommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend`,
      action: 'admin.customer.recommend.get',
    },
    consultant: {
      method: 'GET',
      url: `${prefix}/consultant`,
      action: 'admin.consultant.get',
    },
    recommendEdit: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/edit/id`,
      action: 'admin.customer.recommend.edit.id.put',
    },
    taPointsRecords: {
      method: 'GET',
      url: `${prefix}/mine/taPointsRecords/id`,
      action: 'admin.mine.taPointsRecords.id.get',
    },
    recommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend/id`,
      action: 'admin.customer.recommend.id.get',
    },
    InviteClientsList: {
      method: 'GET',
      url: `${prefix}/channel/InviteClientsList`,
      action: 'admin.channel.InviteClientsList.get',
    },
    CustomerRecommendGet: {
      method: 'GET',
      url: `${prefix}/customer/recommend/get/id`,
      action: 'admin.customer.recommend.get.id.get',
    },
  },
  indexEcharts: {
    userResource: {
      method: 'GET',
      url: `${prefix}/selectUserResource`
    },
    userCity: {
      method:'get',
      url: `${prefix}/selectCityUser`
    },

  },
  activity: {
      list: {
        method: 'GET',
        url: `${prefix}/iBuildingDynamicList`,
      },
      weight: {
        method: 'PUT',
        url: `${prefix}/buildingDynamic/weight`,
      },
      cancel: {
        method: 'PUT',
        url: `${prefix}/buildingDynamic/cancel/:id`,
      },
      send: {
        url: `${prefix}/buildingDynamic/send/:id`,
        method: 'PUT',
      },
      finish: {
        url: `${prefix}/buildingDynamic/finish`,
        method: 'PUT',
      },
      details: {
        url: `${prefix}/buildingDynamic/Details`,
        method: 'GET',
      },
      update: {
        url: `${prefix}/buildingDynamic/update`,
        method: 'PUT',
      },
      add: {
        url: `${prefix}/buildingDynamic/add`,
        method: 'POST',
      },
      poster: {
        url: `${prefix}/poster`,
        method: 'GET',
      },
      updatePoster: {
        url: `${prefix}/poster/:id`,
        method: 'PUT',
      },
      addPoster: {
        url: `${prefix}/poster`,
        method: 'POST',
      },
      shareContent: {
        url: `${prefix}/shareContent`,
        method: 'GET',
      },
      updateShareContent: {
        url: `${prefix}/shareContent/:id`,
        method: 'PUT',
      },
      addShareContent: {
        url: `${prefix}/shareContent`,
        method: 'POST',
      },
      signList: {
        url: `${prefix}/SignList`,
        method: 'GET',
      }
  },
  integralMall: {
    tdPointsRules: {
      url: `${prefix}/tdPointsRules`,
      method: 'GET',
    },
    change: {
      url: `${prefix}/tdPointsRules/change`,
      method: 'PUT',
    },
    taGoods: {
      url: `${prefix}/taGoods/:id`,
      method: 'GET',
    },
    updateTaGoods: {
      url: `${prefix}/taGoods`,
      method: 'PUT',
    },
    addTaGoods: {
      url: `${prefix}/taGoods/add`,
      method: 'POST',
    },
    taPointsExchange: {
      url: `${prefix}/taPointsExchange`,
        method: 'GET',
    },
    getTaGoods: {
      url: `${prefix}/taGoods`,
      method: 'GET',
    },
    changeTaGoods: {
      url: `${prefix}/taGoods/change`,
      method: 'PUT',
    },
    changeTaPointsExchange: {
      url: `${prefix}/taPointsExchange/change`,
      method: 'PUT',
    }
  },
  carsuseFigure: {
    extendContent: {
      url: `${prefix}/extendContent`,
      method: 'GET',
    },
    finish: {
      url: `${prefix}/buildingDynamic/finish`,
      method: 'PUT',
    },
    updataExtendContent: {
      url: `${prefix}/extendContent/:id`,
      method: 'PUT',
    },
    getExtendContent: {
      url: `${prefix}/extendContent/:id`,
      method: 'GET',
    },
    addExtendContent: {
      url: `${prefix}/extendContent`,
      method: 'POST',
    }
  },
  system: {
    taPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'GET',
    },
    updateTaPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'PUT',
    },
    addTaPolicy: {
      url: `${prefix}/taPolicy`,
      method: 'POST',
    },
    getTaPolicy: {
      url: `${prefix}/taPolicy`,
      method: 'GET',
    },
    deleteTaPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'DELETE',
    },
    tdBizEventIntention: {
      url: `${prefix}/tdBizEventIntention`,
      method: 'GET',
    },
    taBuildingIntentionAddOrUpdate: {
      url: `${prefix}/taBuildingIntentionAddOrUpdate/:id`,
      method: 'POST',
    },
    taCustomerMessage: {
      url: `${prefix}/taCustomerMessage`,
      method: 'GET',
    },
    tdReports: {
      url: `${prefix}/tdReports`,
      method: 'GET',
    },
    taBuildingReports: {
      url: `${prefix}/taBuildingReports`,
      method: 'GET',
    },
    addTaBuildingReports: {
      url: `${prefix}/taBuildingReport/add`,
      method: 'POST',
    }
  },
  staff: {
    taUser: {
      url: `${prefix}/taUser`,
      method: 'GET',
    },
    taTags: {
      url: `${prefix}/taTags`,
      method: 'GET',
    },
    getTaUser: {
      url: `${prefix}/taUser/:id`,
      method: 'GET',
    },
    updateTaUser: {
      url: `${prefix}/taUser/:id`,
      method: 'PUT',
    },
    addTaUser: {
      url: `${prefix}/taUser`,
      method: 'POST',
    },
    change: {
      url: `${prefix}/turn/taUser/:id/:type`,
      method: 'PUT',
    }
  }
  // indexEcharts:{
  //   list:{
  //     method:'get',
  //     url: `${commPrefix}/indexStatistical`
  //   },
  //   userResource: {
  //       method:'get',
  //       url: `${commPrefix}/selectUserResource`
  //   },
  //   userConversion: {
  //     method:'get',
  //     url: `${commPrefix}/selectConversion`
  //   },
  //   userActive: {
  //     method:'get',
  //     url: `${commPrefix}/selectActiveUserCount`
  //   },
  //   newUser: {
  //     method:'get',
  //     url: `${commPrefix}/selectNewsUserCount`
  //   },
  //   userBehavior: {
  //     summary: {
  //       method:'get',
  //       url: `${commPrefix}/selectUserBehavior`
  //     },
  //     profile: {
  //       method:'get',
  //       url: `${commPrefix}/selectEventAll`
  //     },
  //   },
  //   intentionUsers: {
  //     method:'get',
  //     url: `${commPrefix}/selectIntentionUser`
  //   },
  //   userSex: {
  //     method:'get',
  //     url: `${commPrefix}/selectSexUser`
  //   },
  //   userCity: {
  //     method:'get',
  //     url: `${commPrefix}/selectCityUser`
  //   },
  // },
}
